--- old/usr/src/uts/intel/xge/Makefile	Mon Jan  7 13:10:08 2019
+++ new/usr/src/uts/intel/xge/Makefile	Mon Jan  7 13:10:08 2019
@@ -23,9 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the Neterion Xframe
-#	10G Ethernet (XGE) driver module in x86 systems
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Paths to the base of the uts directory trees
@@ -112,6 +110,9 @@
 CERRWARN	+= -_gcc=-Wno-empty-body
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += indenting,all_func_returns,no_if_block
+
 #
 #
 #	Default build targets.
--- old/usr/src/uts/intel/zfs/Makefile	Mon Jan  7 13:10:09 2019
+++ new/usr/src/uts/intel/zfs/Makefile	Mon Jan  7 13:10:09 2019
@@ -29,6 +29,7 @@
 #
 # Copyright (c) 2016 by Delphix. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -93,6 +94,18 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# needs work
+SMOFF += all_func_returns,indenting
+$(OBJS_DIR)/llex.o := SMOFF += index_overflow
+$(OBJS_DIR)/metaslab.o := SMOFF += no_if_block
+$(OBJS_DIR)/zfs_vnops.o := SMOFF += signed
+# needs work
+$(OBJS_DIR)/zvol.o := SMOFF += deref_check,signed
+
+# false positives
+$(OBJS_DIR)/zfs_ctldir.o := SMOFF += strcpy_overflow
+$(OBJS_DIR)/zfs_ioctl.o := SMOFF += strcpy_overflow
+
 #
 #	Default build targets.
 #
